3.13.1 - 27-Jan-2021
====================
- Fixed a security bug introduced in 3.13.0 version that lead the HTTP built-in
  server to bypass Basic Authentication when the new option 'hosts_deny' is not
  defined. [#309]
- Fixed in HTTP built-in server configuration to force Basic Authentication to
  any host, by default. [#309]
- Reduced the number of padding lines in 'phpfpm.pm'.


3.13.0 - 22-Jan-2021
====================
- Added a complete graph to support PostgreSQL statistics ('pgsql.pm'). [#84]
- Added a complete graph to support Redis statistics ('redis.pm'). [#140]
- Added a complete graph to support Tinyproxy statistics ('tinyproxy.pm').
- Added CSS theming support in main and graphs pages. [#298,#300,#305,#306]
        (thanks to Zeus Panchenko, zeus AT gnu.org.ua)
- Added $local_fs as dependency for Debian init script. [#270].
- Adjusted configuration in 'docs/debian.conf'.
- Added support for older versions of 'ss' in 'netstat.pm'. [#271]
- Added support to map device names in 'disk.pm'. [#272]
- Added the ability to force HTTP auth to certain hostnames only. [#274]
- Added the ability to change the size of the graphs in 'port.pm'.
  	(suggested by Javier Guarinos, sjguarinos AT aragon.es)
- Added support to use the 'ss' command in 'port.pm' and 'nginx.pm'.
        (thanks to Otto Müller, rembrengerdeng AT web.de)
- Added more verbosity when HTTP connections fail in the modules 'apache.pm',
  'emailreports.pm', 'icecast.pm', 'lighttpd.pm', 'nginx.pm', 'pagespeed.pm',
  'phpapc.pm', 'phpfpm.pm', 'traffacct.pm' and 'wowza.pm'.
- Added the ability to include a title name for every group of disks in
  'disk.pm'. [#283]
- Added the new global option 'netstats_mode' with the new 'separated' mode of
  visualization in the modules 'net.pm', 'mail.pm', 'port.pm', 'ftp.pm',
  'nginx.pm', 'mysql.pm', 'mongodb.pm' and 'squid.pm'. [#217]
- Added support to be able to logging on standard file descriptors instead of
  in a file. This is specially useful in systemd-based systems. [#268]
- Added support to be able to run Monitorix as a regular user. [#288]
- Added the ability to specify the command to get Unbound stats. [#302]
- Changed lines thickness in 'squid.pm'.
- Fixed some spelling mistakes on manpages. [#269]
- Fixed the title size of memory graph in 'system.pm'.
- Fixed to trimming leading and trailing character spaces from the comma-
  separated values in 'multihost' graphs.
- Fixed a missing 'allvalues=' declaration which affected graphs of type 'files'
  and 'show_gaps' enabled in 'du.pm'. [#277]
- Fixed the HTTP built-in responsiveness check to use the value of the option
  'host'. [#278]
- Fixed to include conversion to Fahrenheit in 'gensens.pm'. [#280]
- Fixed a bug in 'phpfpm.pm' that lead to error messages about a pool don't has
  an associated URL. [#282]
- Fixed the error message "Error: 500 Can't connect to ...", in 'phpfpm.pm',
  when the certificate verification failed.
- Fixed an incorrectly misspelled variable in 'traffacct.pm'. [#289]
- Fixed the command 'netstat' in 'net.pm' to avoid truncating interface names
  on FreeBSD. [#303]
- Fixed to start Monitorix right after reach 'Network Online' systemd target.
- Fixed the internal structure of 'ambsens.pm'. An implementation bug prevented
  it from having negative values.
  	(thanks to Alexander G.Gubar, alexander.gubar AT gmail.com for pointing
	this out)
- Unified all README.*BSD on a single README.BSD file.
- Fixed the fetching code that retrieves the uptime value in 'phpfpm.pm'.
- Fixed to a more readable scale the graphs of memory usage and store directory
  stats in 'squid.pm'.
- Fixed the fetching code that retrieves the uptime value in 'wowza.pm'.
- Fixed the scalar of Data Segments (DS) on the textmode interface in modules
  'apache.pm', 'chrony.pm', 'nut.pm', 'pagespeed.pm' and 'tinyproxy.pm'.
- Fixed the behavior of the options in the extra configuration file.


3.12.0 - 21-Feb-2020
====================
- Added a complete graph to support PHP-FPM statistics ('phpfpm.pm'). [#167]
- Added a complete graph to support Unbound statistics ('unbound.pm'). [#176]
- Completely rewritten the 'gensens.pm' module which includes the battery
  values as its third supported sensor. [#170]
- Rewritten the 'bind.pm' module to use XML::LibXML instead of XML::Simple,
  fixing a number of long standing bugs. [#181] [#244]
- Added a warning if a process vanished during the accouting in 'process.pm'
- Added the ability, in the alerts of 'gensens.pm', to support a range of two
  values, separated by a dash, in the threshold. [#221]
- Added the ability, in the alerts of 'ambsens.pm', to support a range of two
  values, separated by a dash, in the threshold. [#221]
- Added support for FreeBSD NFS Server stats. [#238]
- Added the new option 'rrdtool_extra_options' to be able to include RRDtool
  extra options on every graph.
  	(suggested by Greg Ogonowski, greg AT indexcom.com)
- Added the new option 'subject_prefix' in 'emailreports.pm' to be able to
  set a customized prefix in the Subject of the emails that will be sent.
- Added the ability to support port ranges in 'port.pm'. [#172]
- Added the new global option 'use_external_firewall' to disable the creation
  of the iptables rules in 'port.pm' and 'nginx.pm'. [#262]
- Added the options 'username' and 'password' in 'mongodb.pm' to provide
  support for authentication. [#246]
- Changed the main loop functionality using now the select() function, instead
  of the alarm()+pause() pair. This should improve the responsiveness on high
  system loads. [#230]
- Changed how the values in 'fail2ban.pm' are shown. Now it shows the Bans as
  absolute values. The new option 'graph_mode' permits switching between
  'absolute' (default) and 'rate'. [#241]
- Changed the way how 'ztool iostat' command get the read/write values of the
  Operations/Bandwidth graphs. [#242]
- Fixed the copyright year in 'monitorix.cgi'.
- Fixed in 'mail.pm to use the option 'mail_log' instead the hard coded path I
  forgot to remove when adding the Exim support.
  	(thanks to Jean-Marc Didelot, jm.didelot AT teraneo.fr for pointing this out)
- Fixed to support to show the usage and disk I/O on filesystem names that
  contain spaces. [#234]
- Fixed to ensure that the 'L' option in port.pm is optional.
- Fixed to make sure that a maximum of 9 values is accepted in the 'graph_0'
  and 'graph_1' options of 'squid.pm'; warn user otherwise. [#235]
- Fixed to include support for ZFS version 0.8.1+ in 'zfs.pm'. [#245]
- Fixed to honor the environment variable $OPTIONS during the execution.
- Fixed to not auto-restart the built-in HTTP server if it returned the message
  "401 Access Denied" which happens when Basic Authentication is enabled. [#249]
- Fixed regexp to include support for newer versions of libvirtd. [#260]
- Fixed to use '--resolution' instead of its synonym '-r' to avoid problems with
  newer versions of RRDtool. [#263]
- Fixed the scale in the y-axis of the memory graph in 'process.pm'.
- Fixed to have the same title size in all the graphs of medium size.
- Fixed to relax some warning messages about options not defined.


3.11.0 - 14-Mar-2019
====================
- Added a complete graph to support external ambient sensors ('ambsens.pm').
  	(suggested by Zdenko Dolar, zdenko.dolar AT gmail.com)
- Added an advice in monitorix.conf(5) as a reminder that some default values
  are overwritten in the configuration files on certain systems.
  	(suggested by Sander Bos)
- Changed the way how the Used value in Memory graph is calculated. [#204]
- Changed the alert in 'system.pm' to use the minimum value between the second
  and the third load averages to obtain a more symmetric curve and a sooner
  cancellation of the alert.
  	(suggested by Michael Tosch)
- Added two new graphs (operations and bandwidth) for each pool in 'zfs.pm' to
  show iostats. [#190]
- Removed the 777 permissions bits in docs/monitorix.spec and Makefile for the
  'imgs/' directory. At the same time, when HTTP built-in is enabled, forced to
  setup the owner, group and permission bits to that directory every time
  Monitorix is started.
  	(thanks to Sander Bos for pointing this out)
- Added support to include the 'ss' command in 'netstat.pm'. [#196]
- Added to restart the HTTP built-in every time Monitorix receives the SIGHUP
  signal. This should fix a truncation in the recently rotated logfile.
- Added in 'du.pm' the ability to count files in every directory defined. [#112]
- Added the ability to show all graphs of a single server in Multihost mode,
  instead of showing only the System Load graph. [#216]
- Added the ability to show all graphs of all remote servers in Multihost mode,
  instead of showing only the System Load graphs. [#216]
- Added the new option 'default_option_when_all' in Multihost mode. [#216]
- Added in 'ipmi.pm' the ability to save negative values. [#218]
- Added the ability in the alerts of 'gensens.pm' to specify when the alert will
  be triggered 'above' or 'below' the threshold. [#221]
- Added the ability in the alerts of 'ambsens.pm' to specify when the alert will
  be triggered 'above' or 'below' the threshold. [#221]
- Drop entropy support for FreeBSD in 'system.pm'. [#226]
- Added Exim support in 'mail.pm'. [#96]
- Added an autocheck to control the responsiveness of the HTTP built-in server,
  and in case of no response then restart it. This is controlled by a new option
  called 'autocheck_responsiveness' which by default is enabled. This should fix
  these annoying hangups in the HTTP built-in server.
- Fixed a bad memory scaling in *BSD systems.
- Fixed in 'process.pm' to fully honour the option 'netstats_in_bps'.
- Fixed to force Monitorix to be started at the end of boot in systemd-based
  systems. This should fix a problem with 'traffacct.pm' and iptables.
- Fixed the missing declaration of 'allvalues' in 'gensens.pm' which prevented
  graphs generation if 'show_gaps' option was enabled.
- Fixed to correctly represent the values in text mode in 'ipmi.pm'.
- Fixed a missalignment of the MB & CPU temperatures values in 'lmsens.pm'.
- Fixed to limit the length of the device names in 'fs.pm'.
- Fixed a missing gap colouring in some zoomed graphs of 'system.pm'.
- Fixed to save missing values as 'unknown' in 'apcupsd.pm'. [#201]
- Fixed a XSS vulnerability in CGI variables. [#203]
	(thanks to Sebastian Gilon from http://testarmy.com/, who pointed this out)
- Fixed to check if setgid() and setuid() functions were successful before
  starting the HTTP built-in.
  	(thanks to Sander Bos for pointing this out)
- Fixed to disable 'echo' when typing the password in './htpasswd.pl'.
  	(thanks to Sander Bos for pointing this out)
- Fixed to set permissions 0600 to log files.
  	(thanks to Sander Bos for pointing this out)
- Fixed in 'zfs.pm' the way how is collected pool's data.
	(thanks to Derek Dongray, derek AT valedon.co.uk)
- Fixed in HTTP built-in to force authentication (when enabled) always, even on
  non-existing pages.
  	(thanks to Sander Bos for pointing this out)
- Fixed to load correctly the file 'monitorix.conf.path' when 'monitorix.cgi' is
  called from the command line outside of its own directory. [#218]


3.10.0 - 25-Sep-2017
====================
- Added a complete graph for IPMI sensors using the 'ipmitool' command.
  	(suggested by Frank Dijcks, fd AT fdsystems.nl)
- Added a complete graph for MongoDB. [#38]
- Added a back button in the upper-left corner to easily go to the main page
  in browsers with fullscreen mode. The button will appear only if the new
  option called 'enable_back_button' is enabled (disabled by default).
- Improved the 'system.pm' graph with more detailed information about processes
  (sleeping, waiting I/O, zombie, stopped, paging and running). It also
  includes two new graphs to show entropy and uptime.
- Changed the way how scales the memory graph in 'system.pm', now the units are
  in bytes, so the y-axis will scale accordingly.
- Changed to be more thickness the lines of Greylisting graph in 'mail.pm'.
- Changed the colors of the main graph in 'ftp.pm'.
- Introduced the option 'enable_parallelizing' in order to speed up the graph
  generation in multi-core systems.
- Added a new option in 'port.rrd' to enable/disable background red color for
  each port monitored. [#182]
- Added to be able to change the real names in the Voltage graph. [#183]
- From now on the perl-HTTP-Server-Simple module only is loaded if the HTTP
  built-in is enabled. This will permit to separate the HTTP built-in in a
  different package.
- Added French translation to monthly reports.
        (thanks to Sylvain Gomez, sylvaingomez AT free.fr)
- Added support of Postgrey (Postfix Greylisting) in 'mail.pm'. [#102]
        (thanks to Malte Kubat, M.Kubat AT csb-it.de)
- Updated to 4.01 the HTML DOCTYPE declarations.
- Added more precision to the values in 'gensens.pm'.
- Added string encoding to avoid the message 'Wide character in print at
  ./monitorix.cgi line ...'. [#186]
- Added to force a standard locale in 'port.pm'. in order to be able for
  Monitorix to read the output of system commands (netstat, ...). [#186]
- Added the new option 'stats_rate' in 'mail.pm' to be able to choose between
  'real' (new default) and 'per_second'.
- Added the ability to include an alert for each defined sensor in 'gensens.pm'.
- Added the ability to include an alert for each defined sensor in 'hptemp.pm'.
- Added the ability to include an alert for each defined sensor in 'ipmi.pm'.
- Added alert capabilities to 'lmsens.pm'. [#171]
- Added the ability to include an alert for each defined sensor in 'nvidia.pm'.
- Added the ability to monitor unlimited network interfaces in 'net.pm'. [#188]
- Added active and inactive memory values in 'system.pm'.
- Fixed an undeclared global symbol "$imgfmt_lc" in 'traffacct.pm'.
- Fixed the MIME type of graphs in 'emailreports.pm' and in 'traffacct.pm' to
  honor the 'image_format' option. [#174]
- Make whole word and radio button clickable. [#185]
- Fixed in 'emailreports.pm' to name each attached graph correctly.
- Fixed the message 'Odd number of elements in hash assignment' in
  HTTPServer.pm line 58, generated by a malformed line in the 'htpasswd' file.
  Now it warns about such malformed line in the HTTP built-in log.
- Fixed to honour the change of names in the zoomed in graph of Cores. [#183]
- Fixed the title in the header of the page to match with the current 'when='
  value.


3.9.0  - 14-Oct-2016
====================
- Added a complete graph for Linux Traffic Control with the 'tc' command. [#74]
- Added a complete graph for Chrony using the 'chronyc' command.
- Added a complete graph for generic sensors (in /sys/devices). [#159]
- Added the option 'cmd' in 'libvirt.pm' in order to be able to execute a
  custom command like 'virsh -r -c qemu:///session'.
  	(suggested by Pavel Bauer, pbauer AT algotech.cz)
- Added in 'libvirt.pm' the ability to support multiple disks and network
  interfaces for each virtual machine.
  	(suggested by Pavel Bauer, pbauer AT algotech.cz)
- Added in 'du.pm' the new 'extra_args' option to be able to include extra
  arguments to the 'du' command.
  	(suggested by Pete Perfetti, pete.perfetti AT protonmail.com)
- Added the new option 'priority' to set the priority value in which Monitorix
  will run.
- Added the new option 'image_format' to specify the file format of each
  generated graph. [#132]
- Added name substring match in 'process.pm'. [#136]
- Added the new option 'enable_hourly_view' which enables the ability to select
  the hourly view in the main page.
- Added the new option 'user_agent_id' which is used to define the string to
  identify Monitorix agent in the HTTP requests. That value is sent as the
  "User-Agent" header.
	(suggested by Dan Criel, dancriel AT gmail.com)
- Removed 'max_historic_years' limitation of 5 years. [#145]
- No longer needed to have also reports enabled in 'traffacct.pm' to generate
  daily traffic counters.
- Added a warning message in 'disk.pm' that if some of the disk devices defined
  is not present in the system the initialization will be aborted. [#151]
- Added a message in 'libvirt.pm' if the MAC address of a VM is not found.
- Added Slovak translation to monthly reports. [#157]
- Improved a bit the documentation of socked type in MySQL. [#47]
- Included the Status Word 'o' when selecting the peer in 'ntp.pm'.
	(suggested by Jeroen Kik, monitorix AT steelyard.nl)
- Added to show real names in 'lmsens.pm'. [#161]
- Fixed in 'libvirt.pm' limiting to 100 all CPU values greater than 100.
- Fixed in 'libvirt.pm' to hide empty groups.
  	(thanks to Pavel Bauer, pbauer AT algotech.cz for pointing this out)
- Fixed 'serv.pm' to support newer versions of fail2ban.
- Fixed to show the memory usage correctly in 'phpapc.pm'.
- Fixed in 'zfs.pm' to convert FRAG to a numeric value if it's not used in the
  pool. [#138]
- Fixed a possible uninitialized value in 'HTTPServer.pm' at line 37.
- Fixed wrong processor number value parsed in 'proc.pm'. [#155]
- Fixed to convert the BIND's output when there is only one hit in 'incoming
  queries' in 'bind.pm'.
- Fixed a long-standing pair of typos in 'kern.pm'.
	(thanks to Tom Canty, from ServerCare, Inc. for pointing this out)


3.8.1  - 13-Nov-2015
====================
- Added support in ZFS graph for versions older than 0.6.4.
- Added the new option 'extra_args' in 'ntp.pm' to be able to include extra
  arguments to the command executed by Monitorix.
	(suggested by Matti Pentti, Matti.Pentti AT cimcorp.com)
- Added SMART temperature ID 190 as a fallback option if 194 is missing. [#121]
- Fixed a missing identifier in sprintf(). [#109]
- Fixed a message of 'use of uninitialized value' in 'port.pm'. [#110]
- Fixed the Y-axis title in 'fail2ban.pm'. [#111]
- Fixed to avoid negative values in the network graph of 'process.pm'. [#117]
- Fixed to force a rigid scale in the memory graph.
	(thanks to Lane Russell, lanerussell028 AT gmail.com for pointing this out)
- Fixed the scale of the y-axis in 'du'.
- Fixed a DOM based XSS and a potential DoS vulnerabilities that affected the
  'when' parameter of the 'monitorix.cgi' file.
	(thanks to Dolev Farhi, farhi AT F5.com for pointing this out)
- Small cosmetic changes.


3.8.0  - 16-Sep-2015
====================
- Added a complete graph for the 'du' command.
	(suggested by Julien Flatrès, julien_flatres AT yahoo.fr)
- Added a complete graph for the PageSpeed Module.
	(suggested by Jeroen Kik, monitorix AT steelyard.nl)
- Added a complete graph for the 'upsc' (Network UPS Tools) command. [#95]
- Added a complete graph for the ZFS filesystem.
	(suggested by Kilian Cavalotti, kilian AT stanford.edu and others)
- Changed the code in Wowza Server graph to treat MessagesInBytesRate and
  MessagesOutBytesRate as gauge values. [#86]
- Changed to a clickable link the bottom URL in the Apache graph, and fixed the
  text color.
- Changed to a clickable link the bottom URL in the Lighttpd graph, and fixed
  the text color.
- Changed to a clickable link the bottom URL in the PHP APC graph, and fixed
  the text color.
- Added custom url config option 'logo_top_url' for the top logo link. [#90]
- Added support for postfix-policyd-spf-perl SPF handler in Mail graph.
	(thanks to Claude Nadon, claude AT ws01.info)
- Added support for process names that include spaces in Process graph. [#94]
- Added the ability to include an alert for each defined filesystem in the 'fs'
  graph. The previous unique alert system in this graph is now deprecated.
- Improved the Apache graph adding more statistical values and graphs.
	(suggested by Marco Reale, mlist AT libero.it)
- Added Varnish 4 compatibility (partial). [#98]
- Added support of Basic Authentication to Wowza graph. [#100]
- Added alert capabilities to Apache graph based on the remaining free slots.
	(suggested by Marco Reale, mlist AT libero.it)
- Added the new option 'ipv6_disabled' (default: no) to disable IPv6 monitoring.
- Fixed the text color in the bottom URL of the Bind graph.
- Fixed the text color in the bottom URL of the Icecast Streaming Server graph.
- Fixed a problem with multiple 'ApplicationInstance' tags in Wowza Server
  graph. [#88]
- Fixed the text color in the bottom URL of the Wowza graph.
- Fixed to avoid results garbled when a defined Application is shutdown or if
  multiple servers are defined in the Wowza graph. [#89]
- Fixed a pair of incorrectly defined values in the 'system' graph that affected
  the new RRDtool 1.5 branch with the message "Function update_pdp_prep, case
  DST_GAUGE - Cannot convert '' to float". [#91]
- Fixed a parsing error when using process names with the character colon.
	(thanks to Harold Pena, haroldpena AT hotmail.com for pointing this out)
- Fixed to put the output of the 'addendum_script' at the bottom of the email,
  and to avoid being repeated on each graph in the 'emailreports' graph.
	(thanks to Dirk Tanneberger, os AT tanneberger.biz)
- Fixed a wrong example in the documentation when showing how to define the same
  port number using IPv4 and IPv6 in the 'port' graph.
	(thanks to Dirk Tanneberger, os AT tanneberger.biz for pointing this out)
- Fixed to not show the red background color in listening network ports using
  IPv6 in the 'port' graph.
	(thanks to Dirk Tanneberger, os AT tanneberger.biz for pointing this out)
- Fixed to avoid checking 'iptables' version on BSD systems.
- Fixed to use 'swapctl' instead of 'swapinfo' in OpenBSD.
- Fixed to show the correct uptime in additional Wowza servers.
- Fixed to remove the authentication information from the URLs shown in the
  bottom of Wowza graphs.
- Fixed a bug in the regexp of memory graph in OpenBSD.
- Fixed to show hidden colors of some values in the Icecast graph. [#108]
- Small cosmetic changes.


3.7.0  - 12-Mar-2015
====================
- Added a complete statistical VerliHub (verlihub) graph. [#72]
- Added a complete graph for Varnish proxy cache.
	(suggested by Dan Criel, dancriel AT gmail.com)
- Improved 'port' option documentation of the Nginx graph in the man page of
  monitorix.conf.
	(thanks to Claude Nadon, claude AT ws01.info)
- Improved '<devmap>' option documentation of the FS graph in the man page of
  monitorix.conf.
	(thanks to Claude Nadon, claude AT ws01.info)
- Improved the way how are detected the process names in Process.pm module. Now
  the output of the 'command' parameter in the 'ps' command is used to match
  the process names.
	(suggested by Julien Flatrès, julien_flatres AT yahoo.fr)
- Zoomed graphs now honour the 'global_zoom' option, and also use the function
  RRDs::graphv to fit better in the browser pop up window. This is a feature
  only visible with RRDtool v1.3 or more.
	(suggested by Alexander Görtz, alex AT nyloc.de)
- Added an advice in 'htpasswd.pl' and 'monitorix.conf(5)' to not use the
  character colon ':' as part of the name or password since this character is
  used as field separator.
	(thanks to Dave Banthorpe, dave.banthorpe AT gmail.com for pointing this out)
- Added support for IPv6 in 'ports' graph using protocols 'tcp6' and 'upd6'.
  Note that 'ip6tables' command line is needed. [#67]
- Port graph now uses the wait lock option ('--wait') in newer 'iptables'
  versions. [#73]
- Added Dutch translation to monthly reports.
	(thanks to Jeroen Kik, monitorix AT steelyard.nl)
- Removed the option 'all' as network protocol in the 'port' graph. [#67]
- Fixed some bugs in the new Makefile. [#63]
- Fixed more messages of use of uninitialized values at fs.pm in lines 765 and
  766. This mainly happens in OpenVZ VPS where '/proc/diskstats' file does not
  exist.
- Fixed the example of '<devmap>' block in the monitorix.conf(5) man page to
  avoid confusion. The values set there must be the same ones that in the
  '/proc/diskstats' file.
	(thanks to Claude Nadon, claude AT ws01.info for pointing this out)
- Fixed kernel version detection in FreeBSD 10.x which affected the Network
  graph.
	(thanks to Sergey Andreyev, sandreyev AT gmail.com)
- Fixed missing HTML tag terminations in several modules.
- Fixed the color in the footer URLs in Multihost mode.
- Fixed a '403 Forbidden' message in Apache generated by a misconfiguration in
  'monitorix-apache.conf'. [#69]
- Fixed a bug in 'netstat' module that prevented, in some cases, counting
  correctly the opened connections either in IPv4 and IPv6. [#66]
- Fixed a missing CDEF that prevented creating the 'process05z.png' graph when
  the option 'show_gaps' was enabled. [#70]
- Fixed a bug in 'squid.pm' module that prevented from seeing values in the
  network protocols usage graph.
	(thanks to Claude Andriampanala, claude AT 2mi.mg for pointing this out)
- Fixes a character shifted to the left in certain 'hplog' outputs. [#78]
- Fixed the 'process' graph in Multihost mode.
	(thanks to Jeff Hendricks, jeffrey_hendricks AT hotmail.com for pointing this out)
- Fixed the 'Makefile' to install 'docs/debian.conf' as 'conf.d/00-debian.conf'.
  [#79]
- Fixed to remove red background color in 'port' graph when the network port is
  for outgoing connections.
- Fixed a typo in the y axis title on 'apcupsd' Time left graph. [#82]
- Fixed to increase the timeout in 'emailreports' from 30 to 120 seconds.
- Small cosmetic changes.


3.6.0  - 20-Aug-2014
====================
- Added a complete statistical Libvirt (libvirt) graph.
- Added a complete processes statistics (process) graph.
- Added Upstart job. [#46]
- Added more verbosity during the startup.
- Added support to include username and password in the 'url_prefix' option of
  the 'emailreports' module.
	(suggested by V1ru535, admin AT mynet.fr)
- Optimized the 'serv' graph to not overload servers with big log files.
- Added support to include Piwik tracking code.
	(suggested by V1ru535, admin AT mynet.fr)
- Added support for relay-only MTA (for example Nullmailer) in 'emailreports'.
  [#49]
- Added the new option 'ip_default_table' to define in which table Monitorix
  will put all iptables rules for network traffic accounting monitoring.
	(suggested by Russell Morris, rmorris AT rkmorris.us)
- Added SPF statistics in the 'mail' graph.
- Added support for newest NVidia driver 340.24. [#54]
- Added the new 'url_prefix_proxy' option to bypass the URL building in the CGI.
  Usefull when Monitorix is used behind a reverse proxy. [#58]
- Added a 'Makefile' to provide more flexibility for users and packagers. [#62]
- Improved in all graphs the 'limit' and 'rigid' functionality and reduced a lot
  of redundant code.
- Changed all DST from COUNTER to GAUGE in 'net' module to avoid unexpected huge
  peaks.
- Added a check to detect inconsistencies between enabled graphs and defined
  graphs during initialization.
- Fixed regexp that prevented collecting LOADPCT and ITEMP values in 'apcupsd'
  module.
	(thanks to Patrick Fallberg, patrick AT fallberg.net)
- Fixed to show the filesystem name when Monitorix is unable to detect its
  device name.
- Fixed messages of argument isn't numeric in addition at fs.pm in lines 650 and
  684. This happened if one of the filesystems defined is not a real mount
  point with an associated device name.
	(thanks to Andreas Itzchak Rehberg, izzy AT qumran.org for pointing this out)
- Fixed the values in the text interface of the 'fs' graph.
- Fixed init script to work with Chef properly. [#48]
- Fixed a line that forced updates on every minute in the 'serv' graph.
- Fixed 'icecast' graph to support newer statistics page format.
- Fixed the use of uninitialized variables in 'phpapc' module.
- Fixed to correctly sanitize the comma-separated values in the 'list' option of
  the 'mysql' module.
- Fixed the built-in HTTP server to return a correct Content-Type header for
  '.css' files.
	(thanks to Liang Zhang, liangz AT fnal.gov for pointing this out)
- Small fixes and typos.


3.5.1  - 06-May-2014
====================
- Added proper permission parameters depending on Apache version in the Apache
  configuration file 'docs/monitorix-apache.conf'. <https://bugzilla.redhat.com/show_bug.cgi?id=1062202>
- Added more error-verbosity when initializing modules.
- Added an extra configuration file specific for Debian systems. That file is
  expected to be placed in conf.d/ directory.
	(thanks to Andreas Itzchak Rehberg, izzy AT qumran.org)
- Added a new command line argument '-n' to prevent Monitorix from daemonizing
  and force it to run in the foreground. This is specially useful in debugging
  mode.
- Fixed the error message 'ERROR: line 1237: expected </row> element but found <v>' when upgrading to 3.5.0 version.
- Fixed to default to white color theme if 'theme_color' option is invalid or
  not defined.
- Fixed to merge correctly the main configuration file with any extra
  configuration files in conf.d/ directory.
- Fixed a bug in the naming scheme of the graphs on multiple lists in the 'fs'
  module.
	(thanks to Monitar, monitarisso AT sapo.pt for pointing this out)
- Fixed a bug in the 'fs' module that could kill Monitorix itself if open()
  couldn't fork(). This only should happen in rare situations.
- Fix a bug that affected the 'emailreports' module, which was sending emails
  with no graphs.
	(thanks to Patrick Fallberg, patrick AT fallberg.net for pointing this out)
	(thanks to Sam, yst.guy.tw AT gmail.com for pointing this out)
- Small fixes and typos.


3.5.0  - 24-Mar-2014
====================
- Added a complete statistical APC UPS (apcupsd) graph.
	(thanks to Ilya Karpov, gibzer AT gmail.com)
- Added a complete statistical Netstat (netstat) graph.
	(suggested by Maarten van Lieshout, mlieshout AT cocomowebbeheer.nl)
- Added support for amavisd-new in the 'serv' and 'mail' graphs for spam and
  virus email accounting.
	(thanks to Dirk Tanneberger, os AT tanneberger.biz)
- Added support for PHP APC 4.0. [#36]
- Added an error message into the email if 'emailreports' can't connect with
  Monitorix.
- Added the new 'addendum_script' option in the 'emailreports' in order to
  include user's own data in the emails.
	(thanks to Dirk Tanneberger, os AT tanneberger.biz)
- Added support to use '/dev/disk/by-path/' paths as device names in the 'disk'
  graph. [#37]
- Added two new options in 'emailreports' to configure the time when email
  reports will be sent. [#39]
- Added a new option to accept self-signed certificates when collecting values
  remotely using HTTPS protocol. [#40]
- Added support in the 'port' graph to define multiple network protocols on the
  same port number.
	(thanks by Jean-Louis Halleux, monitorix AT ritm.be)
- Added the inode usage in the 'fs' graph and refactored the layout.
	(suggested by Andreas Itzchak Rehberg, izzy AT qumran.org)
- Added a new option called 'include_dir' to be able to load additional
  configuration files from a specific directory ('/etc/monitorix/conf.d' by
  default). As a result of this, the main configuration file is now located
  into the new directory '/etc/monitorix/'.
- Added the option 'url' in the 'nginx' graph to define a full URL to be used
  to collect stats.
	(suggested by Melkor, morgoth AT free.fr)
- Changed the default path '/usr/share/monitorix' of the 'base_dir' option to
  '/var/lib/monitorix/www'. This should make Monitorix more FHS friendly.
- Incremented the font size of the titles in the 'bind' graph.
- Removed the hard coded suffix '/server-status?auto' from the 'apache' and
  'lighttpd' modules, now it most be part of the URL(s) defined in the 'list'
  option.
	(suggested by Melkor, morgoth AT free.fr)
- Removed the EOL mark in the regexp of the 'milter-greylist' stats in order to
  support newer version 4.4.3.
  	(thanks to Sean Wilson, monitorix AT bsdpanic.com)
- Fixed to expand gaps also for negative values. [#34]
- Fixed in email reports to show all graphs in the list. [#33]
- Fixed the date format to match with UW-IMAP logs and also add POP3 login
  accounting.
  	(thanks to Wijatmoko U. Prayitno, koko AT crypto.my.id for pointing this out)
- Fixed to show the text interface in the 'memcached' graph.
- Fixed to initialize a pair of variables in 'mail.pm' in order to avoid
  'Use of uninitialized value...' messages in log file.
	(thanks to Dirk Tanneberger, os AT tanneberger.biz)
- Fixed to avoid unexpected grouping of network interfaces with aliases in the
  'net' graph.
	(thanks to Ivo Brhel, ivb AT volny.cz)
- Fixed to enclose URLs with single quotes in the Multihost HTML.
- Fixed messages of 'use of uninitialized values' and 'non-numeric arguments in
  addition' in 'proc' and 'fs' graphs respectively on FreeBSD systems.
	(thanks to Janusz Pruszewicz, janusz AT pruszewicz.com)
- Fixed to match exactly the connection types 'in', 'out' or 'in/out' in 'port'
  graph.
- Fixed to compare kernel versions as strings instead as numbers and improved
  the way how is extracted the kernel version.
	(thanks to Jean-Louis Halleux, monitorix AT ritm.be)
- Fixed some HTML tags in 'monitorix.cgi'.
- Fixed a missing HTML tag in 'port' graph.
	(thanks to Jean-Louis Halleux, monitorix AT ritm.be)
- Fixed messages of 'use of uninitialized value' in 'port' graph.
	(thanks to Claude Nadon, claude AT ws01.info for pointing this out)
- Fixed the title of certain graphs in Multihost mode.
- Small fixes and typos.


3.4.0  - 02-Dec-2013
====================
- Added a complete statistical Memcached graph. [#27]
- Added support for different BIND stats versions (2 and 3 right now).
	(thanks to Ivo Brhel, ivb AT volny.cz)
- Added two new alerts in the 'disk' graph in order to know if a disk drive has
  exceeded or reached a threshold for reallocated and pending sectors.
	(suggested by Matthew Connelly, maff AT maff.im)
- Added a new option called 'max_historic_years' (with a default value of 1),
  which enables the ability to have up to 5 years of data. Beware with this
  option because it generates a new '.rrd' file every time the value is
  extended, losing the current historical data.
	(suggested by Mohan Reddy, Mohan.Reddy AT analog.com)
- Improved the regexp when collecting data from devices's interrupts which also
  fixes some annoying messages on using non-numeric arguments.
- Added support for the Pure-FTPd logs in the 'serv' and 'ftp' graphs.
- Added the new configuration option 'https_url'. [#31]
- Fixed error messages about use of uninitialized values in 'system' graph on
  BSD systems.
- Fixed error messages about not numeric argument in addition in 'fs' graph on
  BSD systems.
- Fixed in 'emailreports' to use the command line 'hostname' if the variable
  $ENV{HOSTNAME} is not defined (Debian/Ubuntu and perhaps other systems).
	(thanks to Skibbi, skibbi AT gmail.com for pointing this out)
- Fixed the error message 'String ends after the = sign on CDEF:allvalues=' in
  the 'int' graph (the Interrupts graph is pending to have a complete rewrite).
- Fixed the 'int' graph in order to be more compatible with Raspberry Pi.
- Fixed in 'bind.pm' to store a 0 value if threads are disabled. [#29]
- Fixed to correctly sent images in graphs 'proc', 'port' and 'fail2ban' when
  using emailreports.
	(thanks to Bénoît Segond von Banchet,
	bjm.segondvonbanchet AT telfort.nl for pointing this out)
- Fixed to show the real hostname in the emailreports.
- Fixed the 'int' graph in order to be compatible with Excito B3 product.
	(thanks to Patrick Fallberg, patrick AT fallberg.net for pointing this out)
- Fixed to correctly sanitize the input string in the built-in HTTP server
  which led into a number of security vulnerabilities. [#30]
- Fixed the lack of minimum definition in some data sources of 'bind' graph.
	(thanks to Andreas Itzchak Rehberg, izzy AT qumran.org for pointing this out)
- Fixed a fail to adequately sanitize request strings of malicious JavaScript.
  [#30]
	(thanks to Jacob Amey, jamey AT securityinspection.com for pointing this out)
- Fixed a typo in monitorix.service. [#32]
- Fixed the requests value in the 'nginx' graph. Now it honours the label to
  show the value per second, instead of per minute.
	(thanks to Martin Culak, culak AT firma.azet.sk for pointing this out)
- Small fixes and typos.


3.3.1  - 21-Nov-2013
====================
- Fixed to correctly sanitize the input string in the built-in HTTP server
  which led a number of security vulnerabilities. [#30]


3.3.0  - 12-Aug-2013
====================
- Added a complete statistical Wowza Media Server graph.
	(suggested by Daniele Ilardo, kkstyle21 AT gmail.com)
- Added a complete statistical PHP-APC graph.
	(suggested by Petr Švec, petr.svec AT pak.izscr.cz)
- Reimplemented the alarm signal handler placing it inside the main loop in
  order to be able to control the timeouts in the 'disk' graph (and others).
  This should avoid a complete freeze if the network goes down when monitoring
  NFS filesystems. [#10]
- Reimplemented the 'theme' option.
- Implemented a complete email reporting mechanism. [#11]
- Added the label 'Total' in the main graph of 'apache'.
- Added a new option called 'show_gaps' to be able to see the gaps produced by
  missing data in graphs.
	(suggested by Skibbi, skibbi AT gmail.com)
- Add a check during the initialization of the 'nvidia' graph, to test for the
  existence of the 'nvidia-smi' command.
- Add a check during the initialization of the 'nfss' graph, to test if there
  is the '/proc/net/rpc/nfsd' file.
- Add a check during the initialization of the 'nfsc' graph, to test if there
  is the '/proc/net/rpc/nfs' file.
- Added the option 'url_prefix' in the 'traffacct' graph.
- Added the option 'global_zoom' to all graphs.
- Fixed a bug that prevented from seeing stats in the 'nfss' graph.
- Fixed in 'nginx' graph the name of the iptables rules which prevented working
  the network traffic graph. [#22]
- Fixed a bug that prevented a correctly data collection in the 'fail2ban'
  graph. [#23]
- Fixed the description of 'netstats_in_bps' in monitorix.conf(5) man page.
- Fixed a message of 'Argument "" isn't numeric in int ...' in 'nvidia' graph
  when using newer official drivers.
- Fixed a bug in Groups (Multihost view) that prevented from seeing the remote
  server's graphs of the selected group.
	(thanks to Mauro Medda, m.medda AT tiscali.it)
- Little code cleaning.


3.2.1  - 03-Jun-2013
====================
- Changed the source from where is collected the memory usage in the 'squid'
  graph. Now the shown values are more real and accurate.
- Added user/password authentication options in the built-in HTTP server. [#14]
- Added the script 'htpasswd.pl' to be able to encrypt passwords. [#14]
- Added the options 'hosts_allow' and 'hosts_deny' to restrict access by IP
  address to the built-in HTTP server. [#14]
- Added the ability to specify an optional host address for the built-in HTTP
  server to bind to. [#19]
- Added a new option in the 'disk' graph called 'accept_invalid_disk' that
  permits continue working even if some of the device names defined are invalid
  or non-existent. This is specially useful to monitor external disks that
  aren't permanently connected to the system.
- Updated the 'monitorix.service' file. [#20]
	(thanks to Christopher Meng, rpm AT cicku.me)
- Fixed a bug that prevented from seeing the Core temperatures in the 'lmsens'
  graph.
	(thanks to Bryan Guidroz, bryanguidroz AT hotmail.com)
- Fixed a typo and escaped a pair of hyphens in the monitorix.conf(5) man page.


3.2.0  - 13-May-2013
====================
- Added a complete Raspberry Pi sensors graph. [#10, #13]
	(thanks to graysky, graysky AT archlinux.us)
- Improved a bit the MySQL documentation in the monitorix.conf(5) man page.
	(thanks to Luca Ferrario, luca AT ferrario.net)
- Added a new option called 'temperature_scale' to be able to toggle between
  values in Celsius or in Fahrenheit.
	(suggested by Bryan Guidroz, bryanguidroz AT hotmail.com)
- Added support for Simplified Chinese language in the monthly reports.
	(thanks to Christopher Meng, rpm AT cicku.me)
- Added support for the ATI graph cards through the 'gpu' keys in the 'lmsens'
  graph. As in the NVIDIA case, it requires the ATI official drivers. [#8]
- Changed the default charset in the built-in HTTP server to UTF-8.
	(thanks to Akong, ak6783 AT gmail.com for pointing this out)
- Added verbosity to the 'undefined configuration' of MySQL graph.
- Fixed a typo in an iptables rule in the Nginx graph.
	(thanks to Faustin Lammler, faustin AT dejadejoder.com)
- Fixed the Squid graph in order to honour the 'netstat_in_bps' option.
	(suggested to Ignacio Freyre, nachofw AT adinet.com.uy)
- Fixed in 'port' graph to show the minimum number of graphs between the value
  of 'max' and the number of ports really defined. This fixes the error messages
  of uninitialized values in lines 410 and 411.
- Fixed to honour the support of RAID controller parameters in the disk device
  names defined in the disk graph. [#12]
- Small fixes in the alerting system of 'fs', 'system' and 'mail' graphs.
- Fixed a bug in 'traffacct' graph that prevented accounting traffic if the
  <desc> option was empty. Also, Socket module has been added.
- Fixed to get the correct graph of the right group number in the 'fs' graph
  when using 'silent=imagetag' option. [#16]


3.1.0  - 15-Mar-2013
====================
- Added a complete statistical FTP graph.
- The 'serv' graph now uses 'secure_log' log file to get FTP login statistics.
  Alternatively the 'ftp_log_date_format' option has been renamed to
  'secure_log_date_format'.
- Fixed in 'nginx' and 'port' graphs to properly use '-m conntrack --ctstate'
  instead of '-m state --state' in all iptables rules and avoid an annoying
  iptables message about using an obsolete option.
- Fixed to delimit the values in 'disk->list->[n]' by ", " (comma + space).
- Fixed to detect if a device name defined in 'disk->list->[n]' does really
  exist in the system.
- Fixed a missing initialization of some data arrays in 'lmsens' which generated
  the message "ERROR: while updating /var/lib/monitorix/lmsens.rrd: expected 52
  data source readings (got 10) from N" if the 'sensors' command is missing.
- Fixed in 'lmsens' to better handle the returned value (an error) when the
  'nvidia-smi' command is not installed in the system.
- Fixed a bad temperature values extraction from the 'sensors' command in the
  'lmsens' graph.
	(thanks to Cédric Girard for pointing this out)
- Fixed in 'nginx' to avoid the use of uninitialized values and to show an error
  message when Monitorix is unable to connect to the Nginx server.
- Fixed in 'apache' to show an error message when Monitorix is unable to
  connect to the Apache server.
- Fixed in 'lighttpd' to show an error message when Monitorix is unable to
  connect to the Lighttpd server.
- Fixed in 'icecast' to show an error message when Monitorix is unable to
  connect to the Icecast server.
- Fixed in 'traffact' to show an error message when Monitorix is unable to
  connect to the HTTP server.
- Fixed to make sure to kill the built-in HTTP server if Monitorix exits
  unexpectedly.
- Fixed messages of type 'Use of uninitialized value ...' in 'system', 'kern'
  and 'fs' graphs on FreeBSD systems.
- Fixed to extract correctly the minor number of kernel version on FreeBSD
  systems.
- Fixed a bug in 'user' graph that prevented counting correctly the number of
  users currently logged in FreeBSD systems.
- Fixed a bug in how data was collected using 'ipfw' that affected the 'port'
  graph which was showing more activity than real.


3.0.0  - 18-Feb-2013
====================
- Added an HTTP built-in server.
- Changed the path 'cgi-bin' to 'cgi'.
- Fixed color sequence in the 'fs' graph. 
- Fixed a division by zero in 'mysql' graph.
- Fixed excessive bottom padding in 'fs' graph.
- Fixed to use always the same colors for '/', 'swap' and '/boot' values in 'fs'
  graph.
- Fixed a bad naming in the title of 'traffacct' graph.
- Fixed all URLs of the .png files.


3.0.0B2- 01-Feb-2013
====================
- Lot of improvements in the MySQL graph, which includes adding a new value
  called 'Query_Cache_Hit_Rate", the number of select querys also includes
  the value of Qcache_hits, new query type called Com_stmt_execute and the new
  value Temp_tables_to_disk.
	(thanks to Luca Ferrario, luca AT ferrario.net)
- Added a systemd service file template.
	(thanks to graysky, graysky AT archlinux.us)
- Alerts have been reimplemented and they are now configured independently for
  each graph.
- Added two new alerts in the 'mail' graph: one to control the number of
  delivered messages per minute and the other for the number of messages in the
  mail queue.
- Added the ability to also support outgoing connections in the 'port' graph.
- Fixed a pair of typos in the section explaining 'hptemp' in the man page
  monitorix.conf.5.
- Fixed from using unitialized variables in 'fs'.
- Fixed a bad assigning in 'mail' that prevented from seeing the greylisting
  values in the graph.
- Fixed a bug in CGI the prevented honoring the 'hostname' configuration option.
	(thanks to graysky, graysky AT archlinux.us)
- Fixed in 'mysql' to use "show global status' in all operations instead of
  "show status" since the latter only refers to the current thread.
	(thanks to Luca Ferrario, luca AT ferrario.net)
- Fixed to add Qcache_hits value to Com_select in order to get the real value
  (assuming that query caching is on).
	(thanks to Luca Ferrario, luca AT ferrario.net)


3.0.0B1- 11-Jan-2013
====================
- Complete rewrite.
- Added a new option in 'port' to define the number of graphs per row.
- Added two new options 'ftp_log' and 'ftp_log_date_format' to be able to
  read FTP connections from its own log file.
	(suggested by Luca Ferrario, luca AT ferrario.net)
- Fixed a missing description in the first entry of each network interface in
  the options list.
- Fixed a missing argument on each *_init() function preventing show an "Ok"
  message when debugging is enabled.
- Fixed some bugs in Groups.
- Fixed a typo in the percentage variable in FS alert.
- Fixed variables naming in 'mail' graph when using Postfix MTA that prevented
  to see the values bounced, discarded and forwarded.
- Fixed a number of small bugs.
- Fixed a bad naming of the bitrate variables when creating the Bitrate graph
  of the Icecast Streaming Media Server.
- Fixed to include the username and password when connecting to MySQL using a
  socket.
	(thanks to Luca Ferrario, luca AT ferrario.net)

Changes introduced to 2.6.0 version:
- Introduced some modifications to the device name detection for FreeBSD.
	(thanks to Chris Rees, utisoft AT gmail.com)
- Improved support of Linux NFSv4 spliting the operation names in two different
  arrays (client and server).
- Fixed a typo in 'monitorix.cgi' that prevented honoring the NFSC_VERSION
  option.
- Fixed an intermix usage of alarm() and sleep() substituting it by alarm() and
  pause().
- Fixed a bug in multihost introduced by the groups code.


2.6.0  - 19-Sep-2012
====================
- Added a complete statistical BIND graph.
- Added support for NetBSD systems.
- Added support for grouping remote servers in the Multihost view.
	(thanks to Hartmut Wöhrle, hartmut AT hartmut-woehrle.ch)
- The Disk and Filesystems Usage and I/O Activity graphs have been completely
  rewriten.
	(suggested by Konstantinos Skarlatos, k.skarlatos AT gmail.com)
- Added support to monitor unlimited number of disk drives.
- Added support to monitor unlimited number of filesystems.
- Reorganized the legend in the Disk drive temperatures and health graph.
- Changed the shebang to be more portable among different systems.
- Completely rewritten the Debian/Ubuntu init script.
	(suggested by Andreas Itzchak Rehberg, izzy AT qumran.org)
- Minor changes in the header of the Debian/Ubuntu init script.
	(thanks to Uwe Heidrich, uweheidrich AT hotmail.com)
- Expanded to 15 characters the description in network ports.
- Changed to lines a bit thicker some graphs with few values.
- Added a new feature to enable/disable the use of javascript:void function when
  clicking on a zoomable graph.
	(thanks to Florian E.J. Fruth, fejf AT gmx.de)
- Fixed a bug that mixed the collected values when monitoring multiple MySQL
  servers.
	(thanks to Piotr Smalira, p.smalira AT g16-lublin.eu)
- Fixed a bad percentage calculation in the dentries and inodes values.
- Removed useless code when collecting Squid stats.
- Fixed a typo in a MySQL graph.


2.5.2  - 21-May-2012
====================
- Modified iptables/ipfw accounting rules handling and fixed some bugs.
- Added to backup .rrd files every time it changes their internal structure.
	(suggested by Michael Mansour, mmansour AT ostech.com.au)
- Fixed a bug that prevented the creation of the 'mysql.rrd' file. The error
  message was "ERROR: while creating /var/lib/monitorix/mysql.rrd: you must
  define at least one Data Source".
	(thanks to Darryl Yeoh Gim Hong, drl AT bsd.my for pointing this out)
- Fixed to avoid modifying read-only values in chomp() function.
	(thanks to Julio Cifuentes, jcifuentes AT mail.com for pointing this out)


2.5.1  - 23-Apr-2012
====================
- Modified the regexp in 'mgr:ipcache' listing to support newer Squid versions.
- Changed some information and debug messages to be more verbose and clear.
- Force termination with exit(0) when receiving a SIGINT.
- Added support to use the socket file for the connection to the MySQL server.
	(suggested by Darryl Yeoh Gim Hong, drl AT bsd.my)
- Added the new option IMAP_DATE_LOG_FORMAT to match with the Dovecot date log
  format.
- Refreshed the COPYING file to reflect the current contents of the GPLv2 at
  http://www.gnu.org/licenses/gpl-2.0.txt.
- Complete English correction in the monitorix.conf(5) man page.
	(thanks to Paul Rupp, paulrupp AT acorp.net)
- Fixed a bug that prevented monitoring multiple MySQL servers.
	(thanks to Piotr Smalira, p.smalira AT g16-lublin.eu)
- Fixed the vertical label of network traffic in Mail graph to honour the
  NETSTATS_IN_BPS option.
	(thanks to Piotr Smalira, p.smalira AT g16-lublin.eu)
- Fixed a bug that prevented collecting IMAP data from wu-imap server.
- Fixed padding on big values in the Nginx stats.


2.5.0  - 21-Mar-2012
====================
- Added a complete statistical Fail2ban graph.
	(suggested by Andreas Itzchak Rehberg, izzy AT qumran.org)
- Added a complete statistical Lighttpd graph.
- Added full support for the Postfix MTA in the Mail statistics graph.
- Extended the number of information in the Mail statistics graph.
- Added support to monitor unlimited number of local or remote Apache servers.
- Added support to monitor unlimited number of local or remote MySQL servers.
- Added support for Dovecot 2.0 log format.
- Optimized a lot of code including more regular expressions. 
- Replaced hardcoded graph titles with the strings in the configuration file.
- Modified the RedHat init script to let Monitorix create itself the pidfile.
  This should improve the support on modern Linux systems using 'systemd'.
	(thanks to a IRC user called 'dashbad' for pointing this out)
- Improved the init script to be more LSB-compliant.
- Changed to the '-A' parameter in 'smartctl' to avoid waking up disks when
  collecting their temperatures and health values.
	(thanks to Michael Perry, mike AT serensilver.co.uk)
- Fixed some titles in the list box of the main page.
- Fixed color overriding in the IMAP and POP3 services graph.
- Fixed the title in some graphs.
- Fixed a typo in the debug array name that prevented individual debug working
  properly.
- Fixed a typo in the configuration file.
	(thanks to a IRC user called 'gangsterlicious' for pointing this out)
- Fixed a bug in the Squid graph that prevented of being counted the Aborted
  clients.
- Fixed numbering in some graphs.


2.4.1  - 09-Jan-2012
====================
- Added support for Dovecot 1.2 log format.
- Added Polish language support in the monthly traffic report.
	(thanks to Piotr Smalira, p.smalira AT g16-lublin.eu)
- Added 'hour' timeframe in 'monitorix.cgi' to accept unsupported queries not
  comming from the main page.
- Added support for fail2ban bans in the System Services Demand graph.
	(thanks to Andreas Itzchak Rehberg, izzy AT qumran.org)
- Added support for CommuniGate mail server logs in the System Services Demand
  graph.
	(thanks to Andreas Itzchak Rehberg, izzy AT qumran.org)
- Added the ability to show more debug information introducing extra values to
  the -d parameter. The monitorix(8) manpage has been updated to reflect these
  changes.
	(suggested by Andreas Itzchak Rehberg, izzy AT qumran.org)
- Added the sensor real names in the Voltages graph.
	(suggested by Andreas Itzchak Rehberg, izzy AT qumran.org)
- Removed duplicated newline character in logger() calls.
- Added disabling automatic page reloading when $REFRESH_RATE is 0.
	(thanks to Andreas Itzchak Rehberg, izzy AT qumran.org)
- Added a new option in configuration file to change the favicon image.
	(thanks to Andreas Itzchak Rehberg, izzy AT qumran.org)
- Added support for SpamAssassin and Clamav logs to catch email-spam and
  email-virus.
	(thanks to Andreas Itzchak Rehberg, izzy AT qumran.org)
- Grouped all the mail related services to the small graphs in the System
  Services Demand graph. This only implied changing the IMAP position.
	(suggested by Andreas Itzchak Rehberg, izzy AT qumran.org)
- Fixed the main interrupt graph in order to avoid running out of colors on
  systems with lot of interrupts.
- Fixed to honour the limit of 15 characters of the mountpoint names in the
  Icecast graph.
- Fixed the column layout of the text mode in the LM-Sensors graph.
- Fixed to set standard locale LC_TYPE,"C".


2.4.0  - 28-Nov-2011
====================
- Added a complete statistical Squid Proxy Web Cache graph.
	(suggested by Michael Mansour, mmansour AT ostech.com.au)
- Added a complete statistical NTP multigraph.
- Added a complete statistical Icecast Streaming Media Server multigraph.
	(suggested by Kamil Weiser, crx AT lordcyber.net)
- Error messages now use the internal logger() function so all these messages
  will have the date and time prefixed.
- Added support for network port monitoring on FreeBSD and OpenBSD systems.
- Added support for Nginx network traffic monitoring on FreeBSD and OpenBSD
  systems.
- Added the number of instances (1) in the specified time key (day, week, month
  or year). This also introduces some changes in the name of the .png files and
  will break backwards compatibility with old (2.3-) Monitorix with Multihost
  feature enabled.
- Removed some inadequate calls to 'die' taking proper actions on each case.
- Introduced small optimizations.
- Removed the '--lower-limit=0' in the Voltages graph that prevented seeing
  negatives values.
- Fixed some typos in the variable name $PNG_DIR in 'monitorix.cgi'.
- Fixed to avoid a 'divide by zero' message on certain NVIDIA driver version.


2.3.0  - 05-Sep-2011
====================
- Added a complete statistical NFS (v2, v3 and v4) server graph.
- Added a complete statistical NFS (v2, v3 and v4) client graph.
- Improved support for newer NVIDIA drivers and fixed some bugs.
- Added the 'condrestart' option in the RedHat init script.
	(suggested by Yury V. Zaytsev, yury AT shurup.com)
- Added a new option in the configuration file to toggle all network values
  between bits and bytes per second.
- Some cosmetic changes.
- Fixed to sanitize a trailing space in the '/proc/stat' file that prevented to
  show values in the disk I/O graphs on certain systems with Linux kernel 2.4.
	(thanks to Dimitri Yioulos, dyioulos AT firstbhph.com)
- Fixed the Connections_usage value in the MySQL graph avoiding to be greater
  than 100%.
- Fixed to avoid showing the device interrupts called 'Dynamic-irq'.
	(thanks to Michael Mansour, mmansour AT ostech.com.au)
- Fixed to avoid showing the additional parameter in disk drives.
	(thanks to Michael Mansour, mmansour AT ostech.com.au)
- Fixed to add more colors in order to support more interrupt devices.
	(thanks to Dan Criel, dancriel AT gmail.com)
- Fixed a bad calculation of network traffic in 'text' interface of Ports graph.
- Fixed an extra 'optgroup' close tag in 'index.html' for each graph disabled.


2.2.0  - 21-Jun-2011
====================
- Added support for OpenBSD systems.
	(thanks to Devio.us team)
- Added a complete statistical MySQL graph.
	(thanks to Luca Ferrario, luca AT ferrario.net)
- (missed in previous version) Prefixed with full path the 'sysctl' command to
  retrieve the boot time. This is specially needed when using the lighttpd web
  server on FreeBSD systems.
	(thanks to Chris Rees, utisoft AT gmail.com)
- Added the Fork rate (new processes started per second) in the Context Switches
  graph. It includes two new values: the number of forks and vforks, being the
  later only for FreeBSD and OpenBSD systems.
- Added support for the new NVIDIA driver 270.41.03.
- Added support for the names 'BusyServers' and 'IdleServers' given by Apache
  when ExtendedStatus is disabled.
- Added support to show the interrupt names on Xen guest systems.
- Added to force a standard locale to avoid problems with decimal point/comma.
	(thanks to Vadim Beljaev, anon333 AT mail.com)
- Workarounded the well-known problem with SIG{CHLD} and system() function that
  returns -1 on *BSD systems.
- Included a Debian init script.
	(thanks to Jörg Alpers, JAlpers AT gmx.net)
- Fixed the LINE2 of VFS graph and the swap device in FS graph.
- Fixed a bug when counting total of users on systems with large number of users
  logged in.
- Fixed a bug in 'monitorix.spec' that prevented a correct installation on
  systems with no 'apache' user defined, and added cosmetic changes.
- Fixed to show only the graphs of the PC LAN defined in @PC_LIST even when
  $PC_MAX is greater.
- Fixed a bug that could remove some Network Port 'iptables' rules under 
  certain circumstances.
- Fixed a bug that prevented to put in the email of monthly reports the listing
  with the daily usage of all the hosts.
- Fixed a missing import of the 'File::Basename' module.
- Fixed some typos in the man pages and aligned texts in some graphs.


2.1.2  - 04-May-2011
====================
- Added a new command line parameter to save the PID into the specified file
  in order to make life easier to 'rc' scripts.
	(thanks to Chris Rees, utisoft AT gmail.com)
- Prefixed with full path the 'sysctl' command to retrieve the boot time. This
  is specially needed when using the lighttpd web server on FreeBSD systems.
	(thanks to Chris Rees, utisoft AT gmail.com)
- Added to change to the / directory before parsing the command line parameters,
  and after that, a change to a safety directory, either /tmp or /lost+found.
- Improved the code that detects the physical device name where the / filesystem
  resides.
- Changed the way how are handled the command line options.
- Removed the 'Tahoma' font name from all 'font face' HTML tags.
- Hidden the unused values in the 'LM-Sensors and GPU temperatures' graphs.
- Fixed to remove correctly the 'iptables' rules when some defined port has been
  removed from the configuration file.
- Fixed to show only the graphs of the ports defined in @PORT_LIST even when
  $PORT_MAX is greater.
- Fixed a missing variable initialization that generated an 'illegal division by
  zero' message if the filesystem defined does not existed, and the system
  didn't had a valid swap device.
	(thanks to Mowd, mowd8574 AT gmail.com)
- Fixed to show the PID number even when started as a foreground process.
- Fixed the padding of the Voltages values.
- Fixed a bug that prevented to gather correctly the disk I/O values of the /
  filesystem on Linux systems with kernel 2.4.


2.1.1  - 12-Apr-2011
====================
- Reflect the SIGHUP reception with a message also in the new reopened log file.
- Added support for the new 'Idrop' column in the output of 'netstat' command
  appeared in FreeBSD 8.0 and newer versions.
	(thanks to Sean, strumming AT thestrings.com)
- Fixed an illegal division by zero message if the swap device is not used at
  all, which caused to not collect any data and, at the same time, prevented to
  see any results in the Filesystems usage and I/O activity graphs.
	(thanks to Daniel Constantinov, daniel AT k9tecnologia.com.br)
- Fixed to not show a broken graph if there is no data defined in any of the
  three possible arrays of the HP Temperatures graphs.
- Fixed to rename the files in the $USAGE_DIR directory once they are already
  sent in the monthly reports.
- Fixed to create correctly the iptables rules for PC LAN traffic accounting.
	(thanks to Daniel Constantinov, daniel AT k9tecnologia.com.br)


2.1.0  - 09-Mar-2011
====================
- Completed the monthly traffic reports for PCs.
- Added a better signal handling.
- Added the SIGHUP signal handler in order to close and open a new log file.
- Modified the monitorix(8) manpage to reflect that new feature.
- Darkened the grey color of the CUPS usage in the Network Services graphs.
- Fixed annoying messages in log file when PC_MAX is actually greater than the
  number of entries in PC_LIST or PC_IP:

*** DNS problem with: 
*** pc_update(): Usage: Socket::inet_ntoa(ip_address_sv) at /usr/bin/monitorix line 3548.

- Fixed to show only the entries defined in PC_LIST even when PC_MAX has a
  greater value.
- Fixed to correctly handle the SIGCHLD signal to prevent an accumulation of
  defunct or "zombie" processes in old Perl versions.
- Fixed a regexp in 'fs.rrd' that prevented monitoring non-local filesystems.
- Fixed a typo in monitorix(8) man page when referencing the monitorix.conf(5)
  man page.
- Fixed in 'monitorix.cgi' to accept the 'silent' option in PCs graphs.
- Fixed to LINE2 type the lines plotted in the Greylisting zoomed graph.


2.0.0  - 01-Feb-2011
====================
This new version is a complete rewrite, including new features and graphs,
cleaned up all the code, updated and enhanced a number of aspects in some
graphs, and fixed a lot of bugs. The most important change is that it no longer
requires 'crond' to work, instead Monitorix is now a complete standalone Perl
daemon being started and stopped like any other system service.

Please read the 'News' and 'Features' sections in the Monitorix web site to
give you an idea of all the changes and new features that include.

I want to give a huge thanks to the people that has contributed testing and
reporting bugs during its beta phase.


1.5.2  - 18-Nov-2010
====================
- Added an new alert based on the usage of the root filesystem. It follows
  the same logic than the CPU alert, so the alert script is practically the
  same.
	(thanks to Ramchander, ramchan10 AT gmail.com)
- Modified the man page of the configuration file to reflect the new alert
  capability.
- Added a protection mechanism when collecting the filesystem disk usage. It
  prevents possible timeout scenarios on those filesystems mounted using NFS.
	(thanks to Ramchander, ramchan10 AT gmail.com)
- Fixed to remove the netmask suffix when collecting the network traffic if
  the IP belongs to a hostname instead of a network.
	(anonymous contribution)


1.5.1  - 23-Jun-2010
====================
- Changed the default $ENABLE_MAIL option to 'N'.
- Added a second decimal in the Mail statistics graph in order to have more
  accurated values.
- Added a missing "--lower-limit=0" to all graphs (except MTA stats).
- Changed the default value of rigid (RIGID = 2) to 0 in all network port graphs.
- Included a number of necessary adjustments in the install.sh script to adapt
  it better to the FreeBSD installation process.
	(thanks to Michael Brune, admin AT mjbrune.org)
- Added the description of the @NET_RIGID and @NET_LIMIT arrays in the man page
  monitorix.conf(5).
- Fixed some bugs and a bad code design in the Interrupts graph that prevented
  showing correctly the graph on systems with some interrupts numbers greater
  than 256.
	(thanks to Dimitri Yioulos, dyioulos AT firstbhph.com)
- Fixed the Memory graph to display correctly the value in MB. This bug affected
  only the FreeBSD systems.
- Fixed to be able to enable only the LAN devices monitoring without having to have
  enabled the network ports monitoring.
	(thanks to Niklas Janzon, niklas.janzon AT gmail.com)
- Fixed the iptables rules section in order to avoid its execution on FreeBSD
  systems.
- Fixed a bug in the init script that prevented executing it during the system
  shutdown on RedHat/Fedora/CentOS systems. The path of the lock file has
  changed from /var/lock/ to /var/lock/subsys.


1.5.0  - 06-Apr-2010
====================
- Added a new graph to show complete MTA (Sendmail) statistics.
- Added support for those lines in the 'sensors' command output that include
  a newline character and have the result in the next line.
	(thanks to Balazs Denes, dnsdns AT gmail.com)
- Reused a lot of temporal variables in the CGI file.
- Fixed to not show error messages on certain virtual servers if the file
  '/proc/diskstats' does not exist.
	(thanks to an anonymous IRC user called 'gangsterlicious')
- Fixed the rigid control in the 3rd graph of the Nginx statistics.
- Fixed the colors scheme in the main page when using the 'white' theme.


1.4.2  - 10-Feb-2010
====================
- Removed the width=1 from the top table in the graphs page.
- Changed to grey the color of all links.
- Added automatic detection of total amount of memory in the system.
- Modified the install.sh script in order to remove the already supported
  distribution Gentoo and to include some warnings saying that the script is
  not the recommended method of installing Monitorix.
- Added a new $OSTYPE key called "Linux-Arch" to include support for Arch Linux
  distribution.
	(thanks to graysky, da_audiophile AT yahoo.com)
- Fixed the URL of the images if is being called through a secure web server.
	(thanks to an anonymous IRC user called 'dobermai')
- Fixed those no named interrupts that generated the annoying message
  "substr outside of string at /var/www/cgi-bin/monitorix.cgi line 4775,
  <INTERRUPTS> line n." in the Apache error log.
	(thanks to Mac, redleader25 AT hotmail.com)


1.4.1  - 04-Jan-2010
====================
- Updated the monitorix.spec and monitorix.conf files for SuSE Linux packages.
	(thanks to Oliver Kaltenecker, oliver.kaltenecker AT wittwer.de)
- Modified the wide of the mount point column in the disk usage graph in order
  to fit longer pathnames.
- Substituted the pair of bottom logos (black and white) for a new one with
  background transparency.
- Changed the initial logo image by a new one with background transparency and
  removed the slogan which reduced its size.
- Removed the configuration option $IDATE.
- Removed the envelope image as with the new mailing list it doesn't make sense
  to be there anymore.
- Fixed to honour the color theme even in the main page and simplified its
  layout.
- Fixed some annoying error messages in the web server logs about the use of
  an uninitialized value in 4781 line.
	(thanks to Edgar Barranco, ebarranco AT gmail.com)
- Fixed a bug in how are collected the hardware temperatures in HP ProLiant
  ML310 and ML350 models.
	(thanks to Rene Kapeller, rene.kapeller AT psi.ch)
- Fixed an overflow in the CPU array in systems with more than 8 processors,
  that prevented seeing the rest of graphs.
  	(thanks to Robin Friedrich, Robin.Friedrich AT itt.com)


1.4.0  - 05-Oct-2009
====================
- Optimized the iptables command used to collect Chain statistics.
- Added the ability to show the results in plain text instead of using rendered
  graphs. This will make life easier either for people with vision impairments
  and for automatic processing of the information.
	(thanks to Christoph Doeren, cd AT yuyumo.de)
- Added an alert system based on the last 15 minutes of the CPU load average.
	(suggested by Dimitri Yioulos, dyioulos AT firstbhph.com)
- Fixed a bug in monitorix.cgi that messed up the way how are displayed the
  individual processors' graphs.


1.3.2  - 01-Sep-2009
====================
- Improved a lot the support for FreeBSD systems.
	(thanks to Pavlin Vatev, anex AT smrad.net)
- Added support for Enterprise Volume Management System (EVMS) to show the
  I/O disk activity of the root filesystem.
  	(thanks to Markus Rennings, mren AT mrmx.de)
- Added a new option in monitorix.conf called %MAIL_LOG with the paths for the
  mail log file of each Operating System. This removes the old path hard coded.
- Changed the "use" line of the LWP::UserAgent module, now is only loaded if
  Nginx statistics are enabled. This creates less dependences for all people
  that don't need the Nginx statistics.
- Optimized the accounting process of SSH connections using the same code for
  Linux and for FreeBSD. Linux SSH connections using public keys are also
  counted now.
  	(thanks to Markus Rennings, mren AT mrmx.de)
- Rewritten the Monitorix init script for Gentoo Linux.
  	(thanks to Markus Rennings, mren AT mrmx.de)
- Added a zero pading in the name of the proc.png files.
- Fixed to show 0% of usage if a filesystem defined in MNT_LIST has been
  umounted, instead of returning the same disk usage of its parent filesystem.
- Fixed the %HTTP_LOG path in the monitorix.conf file for Linux-Gentoo.
  	(thanks to Markus Rennings, mren AT mrmx.de)
- Fixed the missing monitorixico.png file in the install script.
  	(thanks to Markus Rennings, mren AT mrmx.de)
- Fixed to not create the network ports counters if $ENABLE_PORT is "N".


1.3.1  - 05-Jul-2009
====================
- Fixed a location problem for the logo files on a fresh installation using the
  Linux-Debian option.
- Fixed a critical permission problem during a fresh installation (using the
  Linux-Debian option) that prevented seeing all the graphs.
  	(thanks to Rubla Georgian, deletet.file AT yahoo.com)
- Fixed some annoying error messages in the web server log when the $PORTnn and
  $PORTnn_NAME aren't correctly defined in /etc/monitorix.conf.
  	(thanks to Luca Ferrario, luca AT ferrario.net)
- Removed the un_install.sh script.


1.3.0  - 14-Jul-2009
====================
- Added the monitorix.conf(5) man page to be the main place to get help.
- Added support for the Nginx web server statistics.
  	(thanks to Aleksandr Miroshnychenko, al.miroshnychenko AT gmail.com)
- Removed the unused $EMAIL option. The $PC_DEFMAIL option is the one used when
  sending the monthly reports.
- Removed the $PC_MAX option as its value is now hard coded.
- Reorganized a bit the monitorix.conf file and cleared the syntax.
- Improved the install.sh script with the 'install' command instead of using
  'mkdir', 'cp' and friends.
- Fixed some missing HTML closing tags.
- Fixed to match the default value of $ENABLE_LMTEMP in monitorix.pl.
- Fixed a bad counting of the number of current Samba shares when there wasn't
  any share on the list.
  	(thanks to Luca Ferrario, luca AT ferrario.net)


1.2.4  - 06-Apr-2009
====================
- Isolated a Linux dependant code that prevented running Monitorix correctly
  on FreeBSD systems.
- Included support to recognize correctly the temperatures and RPM values when
  in some weird cases, the FAN and CPU labels (in the lm_sensors output) share
  the same name.
  	(thanks to Luca Ferrario, luca AT ferrario.net)
- Fixed a duplication in the Monitorix iptables rules during a restart.
- Added support for systems with device interrupt numbers greater than 255.
- Added support for openSuSE/SLES Linux distribution.
	(thanks to Alessandro Soraruf, soraruf AT ntd.homelinux.org)


1.2.3  - 14-Jan-2009
====================
- Fixed the way how Monitorix creates the iptables rules. Now it uses the
  parameter -I instead the -A in order to insert those rules in the top of
  each chain so the data get recorded.
  	(thanks to Andrei Ioachim, andrei AT inteligis.com)
- Added support for the Postfix MTA in the SMTP counter of the Network Services
  Demand graph.
  	(thanks to Andrei Ioachim, andrei AT inteligis.com)
- Fixed a typo in the declaration of $HTDOCS in the install.sh that only
  affected to Gentoo installations.
	(thanks to Carlos Perez, cpa.admin AT gmail.com)
- Removed the dependence of the 'lockfile' command in the init-script.
	(suggested by Carlos Perez, cpa.admin AT gmail.com)
- Fixed to detect and show better the interrupt names.
- Added a minimal support for interrupt numbers bigger than 255. This minimal
  support will let you see the names of those interrupts that have those big
  numbers but their activity will rest still void.
	(thanks to Brian Lopeman, brian.lopeman AT ctrh.org)
- Fixed a missing '127.0.0.1' in the URL of the graph images when
  'monitorix.cgi' is called from the command line.
  	(thanks to David Tiberio, dave AT cheapbooks.com)


1.2.2  - 20-Nov-2008
====================
- Fixed a missing '/' when removing /var/www/monitorix in the un_install.sh
  script.
	(thanks to Tamas Marki, tamas AT gnsdm.com)
- Fixed to really accept more than three network devices. There were some parts
  that were not correctly upgraded to five.
        (thanks to Milos Prudek, prudek AT bvx.cz)
- Added the parameter -w during the hddtemp call just to make sure that it will
  awaken the disk (if needed).
- Removed the .sh extension and the she-bang in the crond script for all Linux
  distributions, although only in the Debian based ones people experienced
  problems.
- Added a new configuration option to disable the crond mail related to
  Monitorix errors.
	(suggested by Detlef Neubauer, detlef.neubauer AT wzrz.de)
- Fixed to include the "Linux-Generic" as a supported OSTYPE.
- Fixed to include the monthly report files for the Italian language in the RPM
  package.
- Removed the htmlentity of the ampersand character introduced in the previous
  version, as the last RRDtool version seems not complaining anymore.
- Improved the way how the root filesystem device is detected including support
  for the partitions with two digits like /dev/sda10.
	(suggested by Dimitri Yioulos, dyioulos AT firstbhph.com)


1.2.1  - 01-Oct-2008
====================
- Added support for the new RRDtool 1.3 version.
- Fixed the alignment of the MB & CPU temperatures graph legend.
- Forced the font type to 'Mono' for the RRDtool 1.3 version.
- Fixed one identifier to count better the total messages sent/received in
  /var/log/maillog.
- Added support for some virtualized systems where the rootfs device name does
  not appears in /proc/diskstats and the only way to collect the i/o values is
  using the partition device name.
	(thanks to Travis Wu, twu AT capitalsystems.com)
- Added support for Linux software RAID devices of the form /dev/md/*.
	(thanks to an anonymous IRC user called 'emilio')
- Added Italian language support in the monthly traffic report.
	(thanks to Luca Ferrario, luca AT ferrario.net)
- Fixed the ampersand character to be an entity to avoid complaining messages
  of Pango in the RRDtool 1.3 version.
- Included the "Linux-Generic" OSTYPE key that for a strange reason it was
  missing.
- Fixed in the cover web page to only include the graphs that the system can
  really offer. That will avoid to see more ethernets graphs than the number
  of real ethernet devices and the same for the number of processors.


1.2.0  - 02-Apr-2008
====================
- Added support for systems based on LVM structure on top of a CCISS RAID of
  disk drives.
	(thanks to Bob McClure, Jr., bob AT bobcatos.com)
- Removed the full path of the 'pvs' command as it complicates the portability
  of Monitorix to other Linux distributions.
	(thanks to Eric, teknologist AT gmail.com)
- Added the "no warnings" pragma to temporarily block warnings while calling
  the 'sensors' command.
- Fixed a bug introduced in the last version that prevented to see the interrupt
  names on systems with 2.4 Linux kernels.
- Fixed the graph of disk temperatures in order to preserve the page layout
  when there's no defined any disk device in the HDDTEMP_LIST array.
	(thanks to Eric, teknologist AT gmail.com)
- Fixed to tolerate if @HDDTEMP_LIST was badly defined with just a void entry
  instead of no entries at all. That's if someone defined incorrectly the array
  as @HDDTEMP_LIST = ""; instead of simply as @HDDTEMP_LIST;
	(thanks to Eric, teknologist AT gmail.com)
- Removed the error messages when it has been defined in /etc/monitorix.conf a
  network interface that it doesn't exist in the system.
- Fixed the error message "Use of uninitialized value in string eq at
  /var/www/cgi-bin/monitorix.cgi line 454." that appeared in the Apache error
  logs when using Multihost feature.


1.1.2  - 25-Feb-2008
====================
- Added the execution of the "pvs -a" command each time Monitorix is restarted,
  just to make sure to remove a strange message about "Medium not found"
  appeared on fresh CentOS 5 installations using LVM.
- Converted automatically into a link the URL that appears in the bottom of
  each graph (if enabled by $MULTIHOST_FOOTER) in the Multihost mode.
- Fixed to put the zero character instead of NULL when there's no value, in the
  monthly file of traffic during the daily collecting of counters.
- Fixed a bug in the interrupt names that removed its first character affecting
  only (mostly old) machines with "local-APIC-edge" support.


1.1.1  - 16-Nov-2007
====================
- Fixed a stupid bug that prevented showing the graphs of network ports.


1.1.0  - 15-Nov-2007
====================
- Added support for Gentoo Linux distribution.
	(thanks to Matej Povazaj, ybdaba AT gmail.com)
- Added support for Slackware Linux distribution.
	(thanks to Bogdan Radulescu, from http://nimblex.net>
- Changed the way how is the data collected in the Kernel Usage graph. From now
  on, this graph will show its data in a more accurated way than before. People
  can continue using the Real and Stacked modes though.
	(thanks to Christian Meusel, christian.meusel AT inf.tu-dresden.de)
- Definitely fixed (I really hope so) a persistent bug during the numeric
  extraction of the alpha numeric string of the lm_sensors temperatures.
- Fixed support for HP ML310 ProLiant server in the motherboard temperatures
  graph.
- Changed the main page form method from POST to GET in order to be able to
  remove the old /cgi-bin/monitorix.cgi and call localhost.cgi directly.
  So now on, the localhost.cgi is renamed as monitorix.cgi and it's placed in
  the same place where it was the old one, removing the /cgi-bin/monitorix
  directory as it will not longer be used.
- Fixed to show the graph when using multihost feature and select only the
  Context Switches graph.
- Improved how are showed the images when using multihost feature selecting
  only individual hosts. Now they are bigger.


1.0.1  - 03-Oct-2007
====================
- Fixed some annoying messages like "Argument "+46M-BM-0C" isn't numeric in int 
  at /usr/bin/monitorix.pl line > 2710, <SENSORS> line 13.". Now it extracts
  correctly numbers from an alpha numeric string.
	(thanks to Russell Morris, rmorris AT rkmorris.us)
- Changed from area-based to line-based the HP IPL temperature graphs in order
  to follow the same aspect than the new LM-Sensors graph.
- Added a permanent "lower-limit=0" in the following graphs: Context Switches,
  LM-Sensors, Network Packet Traffic and Network Error Traffic.
- Fixed the alignment of the legend in the FAN speeds graph on systems still
  using the old RRDtool branch version 1.0.


1.0.0  - 04-Sep-2007
====================
- Added a new graph to see the temperatures of the system motherboard, CPUs,
  fan speeds and hard disk drives using lm_sensors and the hddtemp tool. Such
  graph is disabled by default since there are still a lot of motherboards with
  unsupported sensors out there. This new graph can be combined with the HP
  specific temperatures graph.
- Fixed some adjustments in the temperatures collector in newer HP ProLiant
  servers with newer IML.
- Added the ability to select the percentages layout in the Kernel Usage
  statistics. The possible options are (R)eal or (S)tacked.
	(suggested by Andrzej Pokrywko, Andrzej.Pokrywko AT onet.pl)
- Fixed a bug that prevented to display correctly the interrupt names on newer
  systems that use PCI-MSI instead of IO-APIC.
- Added the ability to change the refresh rate value in the statistics web
  page. The default value remains unchanged to 150 seconds.
- Added some adjustments in the Monitorix init script.
- Extended the environment variable PATH to cover more root directories.
- Changed the default NET_RIGID from 2 to 0.
- Changed the default network configuration from two interfaces to only one, as
  it seems the most of people have only one network interface installed.
- Removed some "Use of uninitialized value ..." annoying messages in the Apache
  error_log.


0.9.2  - 12-Jun-2007
====================
- Special Debian contribution.
  + Added support for Debian distribution.
  + Added the missing "monitorixico.png" file during the install process using
    the install.sh shell-script.
	(thanks to Uwe Heidrich, uweheidrich AT hotmail.com)
- Added German language support in the monthly report.
	(thanks to Uwe Heidrich, uweheidrich AT hotmail.com)
- Added support for systems using Linux RAID systems under LVM.
- Fixed in the localhost.cgi and in monitorix.pl files to not include a second
  configuration file if the first one already exists.
- Fixed the graphs legend lines adding blank lines in order to have a better
  formatting. That only affected those who have RRDtool version above 1.2.13.
- Added the Zoom feature that, when enabled, it will permits to see a larger
  picture just clicking inside any graph image.
	(suggested by Dimitri Yioulos, dyioulos AT firstbhph.com)
- Removed the degree symbol in all the temperature graphs.
- Some little code cleanup.


0.9.1  - 09-Jan-2007
====================
- Fixed some annoying cron messages about uninitialized value during an addition
  and a multiplication, only on 2.4 kernels.
- Fixed the line and area colors in the kernel-related new graphs.


0.9.0  - 03-Jan-2007
====================
- Fixed the background color of the graphs in Multihost feature.
- Added a lot of new colors to cover as many hardware interrupts as they exist.
- Added the Monitorix shortcut icon.
- Fixed a bad closing in the global <html> tag.
- Fixed and optimized the start routine in the init script.
- Added a new composed-graph to see the Linux kernel usage per processor. The
  graph will be divided by three parts (as always) only using, right now, the
  biggest and the first one of the last two. The graph will show the global
  percentages of total user time, nice time, system time, idle time and io-wait
  time and separately, the number of context switches. Finally if the system
  has multiprocessors there will be an individual graph per processor showing
  the percentages of its CPU times (up to 8 processors).
	(suggested by Michael Berger, MBerger AT scrippsops.com)
- Added a configuration switch (Y/N) per graph to enable or disable its
  processing. This will help specially on embedded systems (where there is not
  much disk space) to monitorize only what it is really needed.
- IMPORTANT NOTICE: The configuration file (/etc/monitorix.conf) has been
  extended with important changes.


0.8.3  - 16-Oct-2006
====================
- Added the word "easier" to the Monitorix slogan.
- Added support for CCISS Compaq RAID driver under 2.6 Linux kernels.
- Changed the color for the first mounted filesystem in the disk usage, now is
  darker.
- Changed all the white colors to gray in order to be more visible when using
  the white theme.
- Changed the Fax color (from white to orange).
- Adjusted three colors in the interrupt activity graphs: from gray to orange,
  from black to dark-gray and from white to light-gray.
- Changed the color of the running processes (from dark blue to red).
- Changed the HTML font from the Arial,Helvetica to Verdana,Tahoma, and switched
  to lowercase all the HTML tags.
- Fixed a problem when finding the root disk on LVM systems with multiple disks
  on the same logical volume.
	(thanks to Bon, bon AT bugstudio.net)
- Consolidated to only one internal function all temperature graphs concerning
  to the Hewlett-Packard server models.
- Fixed a broken image in the third temperature graph on some Hewlett-Packard
  server models.
- Added support for up to 255 hardware interrupts to take advantatge of the
  APIC feature in newer Linux systems. The "int.rrd" database will be upgraded
  automatically.
- Because of the new support for so many interrupts, the interrupt graphs no
  longer displays the unused ones.
- Added support for up to 5 NICs. The "net.rrd" database will be upgraded
  automatically.
  	(suggested by Mike Harris, MikeDawg AT addictz.org)
- Removed the use of the generation number from the HP ProLiant servers, because
  there are no differencies In the number of processors between the current
  generations. Now the server names are changed from ML350G3 to simply ML350.


0.8.2  - 04-Jul-2006
====================
- Changed from dark-gray to orange the color of the last mount point in the
  disk usage graph.
- Added error handling during the creation of the RRDs database files.
- Fixed a graph creation error when trying to view the PC LANs on systems with
  RRDtool v1.2+.
- Fixed a graph creation error during the monthly report creation on systems
  with RRDtool v1.2+.
- Fixed to take care about the color selected when creating the monthly report
  graphs.
- Fixed a typo when cutting the last digit of $root_disk.
	(thanks to Christoph Fritsche, Christoph.Fritsche AT fh-telekom-leipzig.de)
- Added the new parameter "silent=imagetag" which among of the image
  generation it will return the HTML <IMG SRC> tag for the specified image.
- Fixed the annoying old behaviour of the Multihost feature that obligates to
  reload the page two times every time you want to see the most up to date
  remote server graphs.
- Some cosmetic changes.


0.8.1  - 17-May-2006
====================
- Fixed problems while creating the ip counters when the network port variables
  $PORT01, $PORT02, ... are removed or not defined in the configuration file.
- Added better support for Linux Software RAID devices (/dev/md0, /dev/md1, ...).
- Added specific colored logo images for black and white themes.
- Optimized the way how are used the chomp() functions, using now multiple
  arguments.
- Optimized all the code that was using system commands to collect information.
- Dramatically reduced the CPU load average on most systems specially on slow or
  old systems. As an example of that, a Pentium at 133Mhz sees reduced to 50%
  its CPU load.
- More code cleaning.


0.8.0  - 27-Mar-2006
====================
- Almost complete support for FreeBSD based systems.
	(thanks to Roger "Rocky" Vetterberg, roger AT vetterberg.com)
	(thanks to the twenty4help, http://www.twenty4help.com)
- Code prepared to be more easily portable to other UNIX/Linux systems.
- Changed the location of the configuration file to /etc/monitorix.conf.
- Fixed a "grep" condition problem with LVM based systems not using LVM.
	(thanks to Yazhir, admin AT pazeng.co.il)
- Fixed to escape more possible colons on interrupt device names.
- Fixed graph font size for RRDtool versions 1.2+.
- Better support for RRDtool version 1.2.
- Fixed the counter of the amount of Samba locked files.
- Better monitorization in the detection of VirusMail (requires MailScanner).
- Improved the Active Processes graph, now includes the sleeping and running
  processes in order to know better the amount of concurrent processes the
  server has.
- Now the cron file is automatically created taking care the OS usual paths.
- Removed the default names for the unused interrupt devices. Now all the unused
  interrupts will be marked as "unused".
- Fixed the order of collected data in disk activity graphs.
- More code cleaning and removed some unused variables.


0.7.14 - 17-Jan-2006
====================
- Fixed to be more accurate the way how are detected the ports that are down.
- Removing annoying cron messages and added again the locking mechanism.


0.7.13 - 16-Jan-2006
====================
- Added an automatic space-padding control to the MNT_LIST mount points names.
- Fixed "val" and "mode" declarations and added a hint into README file for
  users coming from other Linux distributions.
	(thanks to Christoph Fritsche, s03315 AT fh-telekom-leipzig.de )
- Really added the parameter "-P" in the "df" lines. In the previous version it
  was only commented in the ChangeLog.
- Added a new file in the /etc/httpd/conf.d/ which will make the alias
  "/monitorix", and will facilitate the installation with different html root
  directories.
- Added an initial support for LVM (Logical Volume Manager) based systems.
- Added a warning indicator (changing the color background to red) on the 12
  port graphs for each selected port if it seems to be down.
- Removed temporaly the locked mechanism introduced in the previous version
  because it produces annoying cron messages everyday at midnight.
- Some little code cleaning.


0.7.12 - 07-Nov-2005
====================
- Fixed the stat() function that prevented to collect Samba and NetAtalk data.
- Escape colons in Interrupt names (INT_NAME) for rrdtool 1.2 branch versions.
	(thanks to Marcos Andre, foca AT siagri.com.br)
- Added the parameter "-P" in order to prevent multi-line output from "df".
	(thanks to Rene Kapeller, rene.kapeller AT psi.ch)
- Added a locking mechanism to prevent concurrent executions of Monitorix, that
  will be useful on very high loaded servers.
	(thanks to Rene Kapeller, rene.kapeller AT psi.ch)


0.7.11 - 06-Oct-2005
====================
- Now the POP3 section is looking for pop3 string (not pop-3) in log entries.
- It handles possible DNS no resolution for defined PC LANs.
- Added English language support for the monthly reports.
- Removed the PC_DS list. Monitorix only will use PC_LIST and PC_IP if needed.
- Remove the hard-coded command paths in order to be more distro compatible.
- Added some checks in order to warn if some directories or files can't be read.
- Fix to escape only colons for rrdtool 1.2 branch versions.


0.7.10 - 26-Sep-2005
====================
- Reduced the size of the Monitorix logo in the startup screen.
- Finally fixed the problem with disk i/o on 2.6 kernels.
- Fixed some incompatibilities in order to support RRDtool v1.2.
	(thanks to Alex Shiffer, refys AT zelacom.com)
- Removed MONITORIX_VER variable from the configuration file.


0.7.9  - 12-Sep-2005
====================
- Some cleanups in the Configuration.help file.
- Remove annoying samba messages in cron when samba is not running.
- Fixed bug when collecting disk i/o on kernels 2.6 (/proc/diskstats).
	(thanks to Alf Tanner, alf.tanner AT gmail.com)


0.7.8  - 11-Sep-2005
====================
- Initial public release.

